FROM anapsix/alpine-java:8_server-jre_unlimited

MAINTAINER dzk

RUN mkdir -p /data/bailian-biz/logs  \
    /data/bailian-biz/temp  \
    /data/bailian-biz/agent

WORKDIR /data/bailian-biz

#ENV SERVER_PORT=9210
#

ADD ./target/benyun-core-4.8.0.jar ./app.jar

ENTRYPOINT ["java", \
            "-Djava.security.egd=file:/dev/./urandom", \
#            "-Dserver.port=${SERVER_PORT}", \
#            "-Dskywalking.agent.service_name=saas-auth", \
#            "-javaagent:/ruoyi/skywalking/agent/skywalking-agent.jar", \
            "-Xms1024m","-Xmx2048m","-jar", "app.jar"]
